Mail archive
alpine-aports

[alpine-aports] [PATCH 2/9] testing/py-icu: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:04 -0500

http://pyicu.osafoundation.org/
Python binding for ICU
---
 testing/py-icu/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-icu/APKBUILD
diff --git a/testing/py-icu/APKBUILD b/testing/py-icu/APKBUILD
new file mode 100644
index 0000000..c7b1bee
--- /dev/null
+++ b/testing/py-icu/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-icu
+_pkgname=PyICU
+pkgver=1.9.2
+pkgrel=0
+pkgdesc="Python binding for ICU"
+url="http://pyicu.osafoundation.org/"
+arch="all"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev icu-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a104ea78918a8b1f4ecbbb1063edb46b  PyICU-1.9.2.tar.gz"
+sha256sums="9b580801eb17b09a5e0e8ef7d3b29170361ed505c5f954b723c1b48a1e502bb6  PyICU-1.9.2.tar.gz"
+sha512sums="1964464f5385dc8f65c4b88b63cd9f34ced1ae365562386708d92fc5c40090a40554578bd5e90d0a996ca6f012b3d2a8ab6e0fd07968e94a0dfe18894e8f08f4  PyICU-1.9.2.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:04 GMT